## visad.aeri
Class Aeri

    java.lang.Object
      visad.aeri.Aeri

All Implemented Interfaces:
  EventListener, ScalarMapListener

public class Aeri
extends Object
implements ScalarMapListener

Field Summary
`(package private) FieldImpl` `advect_field`
`(package private) FunctionType` `advect_field_type`
`(package private) RealTupleType` `advect_range`
`(package private) FunctionType` `advect_type`
`(package private) RealType` `altitude`
`(package private) RealType` `band1`
`(package private) BaseMapAdapter` `baseMap`
`(package private) float` `del_lat`
`(package private) float` `del_lon`
`(package private) RealType` `dwpt`
`(package private) boolean` `ept`
`(package private) boolean` `first_img_Event`
`(package private) boolean` `first_xy_Event`
`(package private) int` `height_limit`
`(package private) double` `hgt_max`
`(package private) ImageSequence` `image_seq`
`(package private) ScalarMap` `img_map`
`(package private) DataReference` `img_ref`
`(package private) boolean` `imgEvent`
`(package private) double` `lat_max`
`(package private) double` `lat_min`
`(package private) RealType` `latitude`
`(package private) float` `latmax`
`(package private) float` `latmin`
`(package private) double` `lon_max`
`(package private) double` `lon_min`
`(package private) RealType` `longitude`
`(package private) float` `lonmax`
`(package private) float` `lonmin`
`(package private) DataReference` `map_ref`
`(package private) int` `n_stations`
`(package private) boolean` `pt`
`(package private) boolean` `rh`
`(package private) RealType` `RH`
`(package private) RealTupleType` `spatial_domain`
`(package private) int` `start_date`
`(package private) double` `start_time`
`(package private) double[]` `station_alt`
`(package private) double[]` `station_id`
`(package private) double[]` `station_lat`
`(package private) double[]` `station_lon`
`(package private) FieldImpl` `stations_field`
`(package private) RealType` `stn_idx`
`(package private) RealType` `temp`
`(package private) RealType` `theta`
`(package private) RealType` `thetaE`
`(package private) RealType` `time`
`(package private) boolean` `tm`
`(package private) RealType` `wvmr`
`(package private) double[]` `x_range`
`(package private) ScalarMap` `xmap`
`(package private) boolean` `xmapEvent`
`(package private) double[]` `y_range`
`(package private) ScalarMap` `ymap`
`(package private) boolean` `ymapEvent`
`(package private) ScalarMap` `zmap`

Constructor Summary
`Aeri(String[] args)`

Method Summary
`void` `controlChanged(ScalarMapControlEvent e)` Receive a `ScalarMapEvent` when the map control changes.
`static double` `equivPotentialTemperature(double theta, double temp, double press)`
`static double` `equivPotentialTemperatureStar(double theta, double Q, double temp)`
`(package private) void` `init_from_cdf(String baseDate)`
`(package private) void` `init_from_vad(String vad_file)`
`static ImageSequence` `init_images(String image_directory)`
`static void` `main(String[] args)`
`(package private) FieldImpl` `makeAdvect(FieldImpl winds, FieldImpl rtvls, int stn_idx)`
`(package private) FieldImpl[]` `makeAeri(String[] files)`
`(package private) DisplayImpl` `makeDisplay(JPanel panel)`
`(package private) DataImpl` `makePoles()`
`(package private) FieldImpl[]` `makeWinds(String[] files)`
`void` `mapChanged(ScalarMapEvent e)` Receive a `ScalarMapEvent` when the map data changes.
`static double` `mixingRatio(double t, double p)` mixing ratio
`static double` `potentialTemperature(double t, double p)`
`static double` `relativeHumidity(double t, double td)` relative humidity
`static double` `satVapPres(double t)` saturation vapor pressure over water.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### latitude

    RealType latitude

### longitude

    RealType longitude

### altitude

    RealType altitude

### spatial_domain

    RealTupleType spatial_domain

### time

    RealType time

### stn_idx

    RealType stn_idx

### temp

    RealType temp

### dwpt

    RealType dwpt

### wvmr

    RealType wvmr

### RH

    RealType RH

### theta

    RealType theta

### thetaE

    RealType thetaE

### band1

    RealType band1

### advect_range

    RealTupleType advect_range

### advect_type

    FunctionType advect_type

### advect_field_type

    FunctionType advect_field_type

### advect_field

    FieldImpl advect_field

### stations_field

    FieldImpl stations_field

### image_seq

    ImageSequence image_seq

### n_stations

    int n_stations

### station_lat

    double[] station_lat

### station_lon

    double[] station_lon

### station_alt

    double[] station_alt

### station_id

    double[] station_id

### baseMap

    BaseMapAdapter baseMap

### map_ref

    DataReference map_ref

### img_ref

    DataReference img_ref

### xmap

    ScalarMap xmap

### ymap

    ScalarMap ymap

### zmap

    ScalarMap zmap

### img_map

    ScalarMap img_map

### xmapEvent

    boolean xmapEvent

### ymapEvent

    boolean ymapEvent

### imgEvent

    boolean imgEvent

### first_xy_Event

    boolean first_xy_Event

### first_img_Event

    boolean first_img_Event

### latmin

    float latmin

### latmax

    float latmax

### lonmin

    float lonmin

### lonmax

    float lonmax

### del_lat

    float del_lat

### del_lon

    float del_lon

### x_range

    double[] x_range

### y_range

    double[] y_range

### height_limit

    int height_limit

### rh

    boolean rh

### tm

    boolean tm

### pt

    boolean pt

### ept

    boolean ept

### start_date

    int start_date

### start_time

    double start_time

### lon_min

    double lon_min

### lon_max

    double lon_max

### lat_min

    double lat_min

### lat_max

    double lat_max

### hgt_max

    double hgt_max

Constructor Detail

### Aeri

    public Aeri(String[] args)
         throws VisADException,
                RemoteException,
                IOException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_from_cdf

    void init_from_cdf(String baseDate)
                 throws VisADException,
                        RemoteException,
                        IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_from_vad

    void init_from_vad(String vad_file)
                 throws VisADException,
                        RemoteException,
                        IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### init_images

    public static ImageSequence init_images(String image_directory)
                                     throws VisADException,
                                            RemoteException,
                                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeDisplay

    DisplayImpl makeDisplay(JPanel panel)
                      throws VisADException,
                             RemoteException,
                             IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makePoles

    DataImpl makePoles()
                 throws VisADException,
                        RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### mapChanged

    public void mapChanged(ScalarMapEvent e)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map data changes.

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event
  Throws:
    `RemoteException` - If there was an RMI-related problem.
    `VisADException` - If there is a problem notifying this listener.

### controlChanged

    public void controlChanged(ScalarMapControlEvent e)

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map control changes.

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### makeWinds

    FieldImpl[] makeWinds(String[] files)
                    throws VisADException,
                           RemoteException,
                           IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeAeri

    FieldImpl[] makeAeri(String[] files)
                   throws VisADException,
                          RemoteException,
                          IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### makeAdvect

    FieldImpl makeAdvect(FieldImpl winds,
                         FieldImpl rtvls,
                         int stn_idx)
                   throws VisADException,
                          RemoteException,
                          IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### satVapPres

    public static double satVapPres(double t)

  saturation vapor pressure over water. t in kelvin.

### mixingRatio

    public static double mixingRatio(double t,
                                     double p)

  mixing ratio

### relativeHumidity

    public static double relativeHumidity(double t,
                                          double td)

  relative humidity

### potentialTemperature

    public static double potentialTemperature(double t,
                                              double p)

### equivPotentialTemperature

    public static double equivPotentialTemperature(double theta,
                                                   double temp,
                                                   double press)

### equivPotentialTemperatureStar

    public static double equivPotentialTemperatureStar(double theta,
                                                       double Q,
                                                       double temp)